OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TextureView

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureView :: MonadIO m => m Bool
- gl_ARB_texture_view :: Bool
- pattern GL_TEXTURE_IMMUTABLE_LEVELS :: GLenum
- pattern GL_TEXTURE_VIEW_MIN_LAYER :: GLenum
- pattern GL_TEXTURE_VIEW_MIN_LEVEL :: GLenum
- pattern GL_TEXTURE_VIEW_NUM_LAYERS :: GLenum
- pattern GL_TEXTURE_VIEW_NUM_LEVELS :: GLenum
- glTextureView :: MonadIO m => GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> m ()

# Extension Support

glGetARBTextureView :: MonadIO m => m Bool Source #

Is the ARB_texture_view extension supported?

gl_ARB_texture_view :: Bool Source #

Is the ARB_texture_view extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureView` in those cases instead.

# Enums

pattern GL_TEXTURE_IMMUTABLE_LEVELS :: GLenum Source #

pattern GL_TEXTURE_VIEW_MIN_LAYER :: GLenum Source #

pattern GL_TEXTURE_VIEW_MIN_LEVEL :: GLenum Source #

pattern GL_TEXTURE_VIEW_NUM_LAYERS :: GLenum Source #

pattern GL_TEXTURE_VIEW_NUM_LEVELS :: GLenum Source #

# Functions

glTextureView Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target` of type TextureTarget.
-> GLuint | `origtexture`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `minlevel`.
-> GLuint | `numlevels`.
-> GLuint | `minlayer`.
-> GLuint | `numlayers`.
-> m () |

Manual page for OpenGL 4.x.